# $Revision: 1.15 $, $Date: 2010/10/31 07:27:00 $
Summary:	showfont application - font dumper for X font server
Summary(pl.UTF-8):	Aplikacja showfont do wypisywania szczegółów fontów z serwera fontów X
Name:		xorg-app-showfont
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/showfont-%{version}.tar.bz2
# Source0-md5:	50b466ab6ed4a5b8df5abf1ef844309a
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libFS-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
showfont displays data about a font that matches the given pattern.
The information shown includes font information, font properties,
character metrics, and character bitmaps.

%description -l pl.UTF-8
showfont wyświetla dane o foncie pasującym do zadanego wzorca.
Informacje obejmują informacje o foncie, właściwości fontu, metryki
znaków i bitmapy znaków.

%prep
%setup -q -n showfont-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/showfont
%{_mandir}/man1/showfont.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-showfont.spec,v $
Revision 1.15  2010/10/31 07:27:00  qboosh
- updated to 1.0.3

Revision 1.14  2008/05/26 18:37:29  qboosh
- updated to 1.0.2

Revision 1.13  2007-04-30 22:55:29  qboosh
- informative descs from man

Revision 1.12  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.10  2006/10/15 14:30:41  qboosh
- use individual dir, more verbose files, release 1

Revision 1.9  2006/01/12 13:25:33  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/09 12:18:11  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 21:34:45  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 18:29:21  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added showfont-man.patch
- added BR: libFS-devel
- release 0.02

* Sun Aug  7 2005 19:59:43  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
